# HaltParameters_struct Struct Reference

`#include <structs.h>`

## Detailed Description

Holds the parameters for HaltNow();.

Definition at line 124 of file structs.h.

## Data Fields
unsigned int | CurrentMin
| Minimum limit for output current, in mA.
unsigned char | HaltFlags
| Contains flags for what to evaluate.
unsigned int | LastNTC
| Used to detect temperature rise.
signed int | TemperatureMax
| Maximum limit for battery temperature, in degrees centigrade.
signed int | TemperatureMin
| Minimum limit for battery temperature, in degrees centigrade.
unsigned int | TemperatureRise
| Maximum limit for temperature to rise, in degrees centigrade per minute.
unsigned int | VBATMax
| Contains highest VBAT measured, used to calculate voltage drop.
unsigned int | VoltageDrop
| Maximum drop in voltage before halting, in mV.
unsigned int | VoltageMax
| Maximum limit for output voltage, in mV.

## Field Documentation

unsigned int HaltParameters_struct::CurrentMin

Minimum limit for output current, in mA.

Definition at line 136 of file structs.h.

Referenced by Charge(), and HaltNow().

unsigned char HaltParameters_struct::HaltFlags

Contains flags for what to evaluate.

Note:
  See chargefunc.h for definitions of flags.

Definition at line 127 of file structs.h.

Referenced by Charge(), and HaltNow().

unsigned int HaltParameters_struct::LastNTC

Used to detect temperature rise.

Definition at line 152 of file structs.h.

Referenced by HaltNow().

signed int HaltParameters_struct::TemperatureMax

Maximum limit for battery temperature, in degrees centigrade.

Definition at line 139 of file structs.h.

Referenced by Charge(), and HaltNow().

signed int HaltParameters_struct::TemperatureMin

Minimum limit for battery temperature, in degrees centigrade.

Definition at line 142 of file structs.h.

Referenced by Charge(), and HaltNow().

unsigned int HaltParameters_struct::TemperatureRise

Maximum limit for temperature to rise, in degrees centigrade per minute.

Definition at line 145 of file structs.h.

Referenced by HaltNow().

unsigned int HaltParameters_struct::VBATMax

Contains highest VBAT measured, used to calculate voltage drop.

Note:
  Must be manually reset.

Definition at line 149 of file structs.h.

Referenced by HaltNow().

unsigned int HaltParameters_struct::VoltageDrop

Maximum drop in voltage before halting, in mV.

Definition at line 130 of file structs.h.

Referenced by HaltNow().

unsigned int HaltParameters_struct::VoltageMax

Maximum limit for output voltage, in mV.

Definition at line 133 of file structs.h.

Referenced by Charge(), and HaltNow().